\begin{center}
\definecolor{wqwqwq}{rgb}{0.376470588235,0.376470588235,0.376470588235}
\begin{tikzpicture}[scale=0.7][line cap=round,line join=round,>=triangle 45,x=1.0cm,y=1.0cm]
\draw[->,color=black] (-1.32,0.) -- (9.84,0.);
\foreach \x in {,2.,4.,6.,8.}
\draw[shift={(\x,0)},color=black] (0pt,2pt) -- (0pt,-2pt);
\draw[->,color=black] (0.,-1.32) -- (0.,3.065);
\foreach \y in {,2.}
\draw[shift={(0,\y)},color=black] (2pt,0pt) -- (-2pt,0pt);
\clip(-1.32,-1.075) rectangle (9.84,3.065);
\fill[color=wqwqwq,fill=wqwqwq,fill opacity=0.1] (0.,0.) -- (0.,0.829411764706) -- (4.68235294118,0.829411764706) -- (8.,0.) -- cycle;
\draw [domain=-1.32:9.84] plot(\x,{(--16.-2.*\x)/8.});
\draw [color=wqwqwq] (0.,0.)-- (0.,0.829411764706);
\draw [color=wqwqwq] (0.,0.829411764706)-- (4.68235294118,0.829411764706);
\draw [color=wqwqwq] (4.68235294118,0.829411764706)-- (8.,0.);
\draw [color=wqwqwq] (8.,0.)-- (0.,0.);
\draw (4.68235294118,0.829411764706)-- (4.68235294118,0.);
\begin{scriptsize}
\draw [color=black] (8.,0.)-- ++(-0.5pt,-0.5pt) -- ++(1.0pt,1.0pt) ++(-1.0pt,0) -- ++(1.0pt,-1.0pt);
\draw[color=black] (8.04,0.635) node {$A$};
\draw [color=black] (0.,2.)-- ++(-0.5pt,-0.5pt) -- ++(1.0pt,1.0pt) ++(-1.0pt,0) -- ++(1.0pt,-1.0pt);
\draw[color=black] (-0.33,2.5) node {$J$};
\draw [color=black] (0.,0.)-- ++(-0.5pt,-0.5pt) -- ++(1.0pt,1.0pt) ++(-1.0pt,0) -- ++(1.0pt,-1.0pt);
\draw[color=black] (-0.375,-0.49) node {$O$};
\draw[color=black] (2.64,1.985) node {$(d)$};
\draw [color=black] (4.68235294118,0.829411764706)-- ++(-0.5pt,-0.5pt) -- ++(1.0pt,1.0pt) ++(-1.0pt,0) -- ++(1.0pt,-1.0pt);
\draw[color=black] (4.98,1.265) node {$M$};
\draw [color=black] (0.,0.829411764706)-- ++(-0.5pt,-0.5pt) -- ++(1.0pt,1.0pt) ++(-1.0pt,0) -- ++(1.0pt,-1.0pt);
\draw[color=black] (-0.78,0.77) node {$Q$};
\draw [color=black] (4.68235294118,0.)-- ++(-0.5pt,-0.5pt) -- ++(1.0pt,1.0pt) ++(-1.0pt,0) -- ++(1.0pt,-1.0pt);
\draw[color=black] (4.71,-0.58) node {$P$};
\end{scriptsize}
\end{tikzpicture}
\end{center}